function [D, P_D, Z, AeA0, Duct] = Propell_data(P_no, Scale, PD)

equal   = ismember(PD(:,1),P_no);

pos     = find(equal);
    
D       = PD(pos,2)*Scale;
P_D     = PD(pos,4);
Z       = PD(pos,3);
AeA0    = PD(pos,8);
Duct    = PD(pos,13);

if isempty(D)
    D   = 0;
end

if isempty(P_D)
    P_D   = 0;
end

if isempty(Z)
    Z   = 0;
end

if isempty(AeA0)
    AeA0   = 0;
end

if isempty(Duct)
    Duct   = 0;
end

end
