clc
clf
clear all

Rn = 600:200:6E4;
n = length(Rn);
Cf_old = zeros(1,n);
Cf_new = zeros(1,n);


for i = 1:n
    Cf_old(i) = 0.075/(0.43429*log(Rn(i)-2))^2;
    Cf_new(i) = 0.075/(log10(Rn(i)-2))^2;
end

plot(Rn,Cf_old, 'rx', Rn, Cf_new,'b')
title('ITTC friction lines')
xlabel('Rn')
ylabel('Cf')
legend('Old', 'New')
